2009 年 8 月 1 日

本家版 2.0.x はサポート打ち切り

カテゴリー: お知らせ — WordPress ME @ 08:46

WordPress 本家版開発チームより「The WordPress 2.0.x Legacy Branch is Deprecated」 (日本語訳: WordPress 2.0.x 系の使用は非推奨となりました) という案内が出されました。実際、WordPress 2.1 以降に発見された各種セキュリティーホールはまったくバックポートされていませんし、また、WordPress 2.5 で導入された SECURE KEY の仕組みも取り入れられず、すでに WordPress 2.0.x ブランチは「あまりよろしくない」状態であったことは確かです。

当プロジェクトは、本家版から分岐 (いわゆる fork) したものであるため、継続してサポートを提供することは可能です。ただし、安全に使用するためには、WordPress 2.1 以降に組み込まれたセキュリティーフィックスをすべてバックポートすることが必要条件にあると思われます。できれば、WordPress 2.5 以降で実現されている SECURE KEY も実装したいものです。

しかし、そこまでの修正をしてまで WordPress 2.0.x ブランチを生かすかどうか、非常に悩んでいます。需要があれば行いますが、なければ本家版と同様「打ち切り」とするかもしれません。どうしても 2.0.x ブランチが必要な方は、その旨の連絡をください。できれば、何らかの形で作業に協力して頂けると幸いです。

HTML convert time: 0.639 sec. Powered by WordPress